Subject: FW: MILLER SO16097Q1
From: Rachel Baugh <[email-masked]>
To: Abby Sutcliffe <[email-masked]>
Date: Wed, 19 Feb 2025 12:40:31 +0000

Hi Abbie,

Please can you confirm if this has now been credited as was collected a while ago?

Sorry I don’t see the other side of accounts so just following up.

Kind Regards
[signature_3870508488]
Interior Design Advisor
[email-masked]<mailto:[email-masked]>

[signature_3704223446]<http://www.cpinteriors.je/>

From: Rachel Baugh <[email-masked]>
Date: Tuesday, 7 January 2025 at 09:22
To: Edmund Bell <[email-masked]>
Subject: Re: MILLER SO16097Q1
Good morning,

I placed this order on the 17th December to be delivered to Premier Choice however it has arrived at our showroom.

Please can you advise how best to proceed in getting it to the correct destination?

Kind Regards
[signature_3870508488]
Interior Design Advisor
[email-masked]<mailto:[email-masked]>

[signature_3704223446]<http://www.cpinteriors.je/>

From: Rachel Baugh <[email-masked]>
Date: Tuesday, 17 December 2024 at 11:25
To: Edmund Bell <[email-masked]>
Subject: MILLER SO16097Q1
Please can I order 7.5m Wide Quantum Mineral 125 sent to Premier choice reference MILLER SO16097Q1

Kind Regards
[signature_3870508488]
Interior Design Advisor
[email-masked]<mailto:[email-masked]>

[signature_3704223446]<http://www.cpinteriors.je/>